Bug 869494 - Wrong display of scaling page when user have more than 20 gears.
Wrong display of scaling page when user have more than 20 gears.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: N. Harrison Ripps
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 01:27 EDT by Wei Sun
Modified: 2015-05-14 21:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-console-1.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 14:25:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wrongINT (74.56 KB, image/png)
2012-10-24 01:28 EDT, Wei Sun
no flags Details
rightdev (84.17 KB, image/png)
2012-10-24 01:29 EDT, Wei Sun
no flags Details
The scale page still displayed not well. (233.35 KB, image/png)
2012-10-26 03:27 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Wei Sun 2012-10-24 01:27:59 EDT
Description of problem:
Create an scalable app,and click button to scale up it,will get the wrong display of scaling page.

Version-Release number of selected component (if applicable):
INT(devenv_2361)

How reproducible:
always

Steps to Reproduce:
1.Go to website and login
2.Create a scalable app
rhc app create -a $name -t php-5.3 -s 
3.click the button to scale up app

Actual results:
Wrong display of scaling page as attachment #1 [details]

Expected results:
The display should be correct.

Additional info:
On devenv_2370,this page is correct,details see in attachment #2 [details].
Comment 1 Wei Sun 2012-10-24 01:28:47 EDT
Created attachment 632547 [details]
wrongINT
Comment 2 Wei Sun 2012-10-24 01:29:22 EDT
Created attachment 632548 [details]
rightdev
Comment 3 Yujie Zhang 2012-10-25 05:56:23 EDT
(In reply to comment #2)
Tested on INT again, the scaling page is still different with dev env, could you please help to check, I am not sure which way is the correct scaling way now, please make it to be consistent, thanks!
Comment 4 Clayton Coleman 2012-10-25 15:24:29 EDT
The value depends on how many gears your user is allocated.  If you have more than 20 gears you'll get the input boxes - if you have less you'll get the dropdowns.  When you have more than 20 it should use an input box but it was using the textarea accidentally.

Fixed in https://github.com/openshift/origin-server/pull/762
Comment 5 Mengjiao Gao 2012-10-26 03:25:29 EDT
   Tested this issue on devenv_2385. When my account have more than 20 gears, I can see input boxes instead of the dropdowns. 
   The input boxed did not display as the same as the attachment #1 [details].  But I found the input boxes still displayed not very well as the attachment #3 [details] shown . Hope you can continue to fix this issue. Thanks!
Comment 6 Mengjiao Gao 2012-10-26 03:27:12 EDT
Created attachment 633685 [details]
The scale page still displayed not well.
Comment 7 Clayton Coleman 2012-10-30 13:09:57 EDT
We won't hit 20+ gears in production for a while, lowering severity.  Will fix this week if possible.
Comment 8 N. Harrison Ripps 2012-11-19 10:27:46 EST
Assigned.
Comment 9 N. Harrison Ripps 2012-11-20 08:21:58 EST
Our form handler wasn't properly formatting hints for inline form elements. This has been fixed.

Pull request: https://github.com/openshift/origin-server/pull/950
Comment 10 Mengjiao Gao 2012-11-20 21:55:45 EST
Tested this issue on devenv_2502, and have covered all browsers. For users have more than 20 gears, the input boxes in scale page can display well now . So I will put it to verified. Thanks!

Note You need to log in before you can comment on or make changes to this bug.